--- title: "Get data import history" slug: "analytics-vpcsearchengine-import-getdataimporthistory" tags: ["Search Engine Service"] updated: 2026-09-17T09:50:01Z published: 2026-09-17T09:50:01Z canonical: "api.ncloud-docs.com/analytics-vpcsearchengine-import-getdataimporthistory" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get data import history Available in VPC Get data import history. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/import/getDataImportHistory/{serviceGroupInstanceNo} (Korea Region) | | GET | /api/sgn-v2/import/getDataImportHistory/{serviceGroupInstanceNo} (Singapore Region) | | GET | /api/jpn-v2/import/getDataImportHistory/{serviceGroupInstanceNo} (Japan Region) | ### Request headers For information about the headers common to all Search Engine Service APIs, see [Search Engine Service request headers](/docs/en/analytics-vpcsearchengine#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceGroupInstanceNo` | Integer | Required | Cluster instance number - See [Get cluster list](/docs/en/analytics-vpcsearchengine-cluster-getclusterinfolist). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number - 1-N (default: 1) | | `pageSize` | Integer | Optional | Page output count - 1-N (default: 10) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsearchengine.apigw.ntruss.com/api/v2/import/getDataImportHistory/1037*****' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.currentPage` | Integer | - | Current page number | | `result.isFirst` | Boolean | - | Whether it is the first page - `true` \| `false` - `true`: first page - `false`: not a first page | | `result.isLast` | Boolean | - | Whether it is the last page - `true` \| `false` - `true`: last page - `false`: not a last page | | `result.pageSize` | Integer | - | Page output count | | `result.totalCount` | Integer | - | Number of response results | | `result.totalPage` | Integer | - | Total number of pages | | `result.importHistoryList` | Array | - | Import history list: [importHistoryList](/docs/en/analytics-vpcsearchengine-import-getdataimporthistory#importHistoryList) | | `requestId` | String | - | ID for the request - UUID format | #### `importHistoryList` The following describes `importHistoryList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceGroupInstanceNo` | Integer | - | Cluster instance number | | `clusterName` | String | - | Cluster name | | `importStatus` | String | - | Import progress status - `complete` \| `processing` \| `stop` \| `fail` - `complete`: completed - `processing`: in progress - `stop`: stopped - `fail`: failed (error) | | `bucketName` | String | - | Target bucket name | | `objectKey` | String | - | Data file path | | `progress` | Integer | - | Import progress | | `actionStartDate` | String | - | Job start date and time - yyyy-MM-dd HH:mm:ss format | | `actionEndDate` | String | - | Job completion date and time - yyyy-MM-dd HH:mm:ss format | ### Response status codes For response status codes common to all Search Engine Service APIs, see [Search Engine Service response status codes](/docs/en/analytics-vpcsearchengine#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "currentPage": 1, "isFirst": true, "isLast": true, "pageSize": 10, "totalCount": 2, "totalPage": 1, "importHistoryList": [ { "serviceGroupInstanceNo": 1037*****, "clusterName": "cluster001", "importStatus": "complete", "bucketName": "bk.c", "objectKey": "data/sample_data.json", "progress": 100, "actionStartDate": "2025-03-26 08:49:35", "actionEndDate": "2025-03-26 08:50:47" }, { "serviceGroupInstanceNo": 1037*****, "clusterName": "cluster001", "importStatus": "complete", "bucketName": "bk.c", "objectKey": "data/db_metadata.json", "progress": 100, "actionStartDate": "2025-03-26 08:42:51", "actionEndDate": "2025-03-26 08:42:53" } ] }, "requestId": "48c5002e-****-****-****-6e43987f34c8" } ```